#charger les donnes
data(mtcars)
print(mtcars)
#rgression
modele <- lm(mpg ~ hp + wt, data = mtcars)
print(summary(modele))
#librairie pour les rsidus partiels
library(faraway)
#rsidus partiels
par(mfrow=c(1,2))
prplot(modele,1)
prplot(modele,2)
#variables nouvelles
zhp <- mtcars$hp^2
zwt <- log(mtcars$wt)
#nouvelle rgression
modele.bis <- lm(mpg ~ hp + wt + zhp + zwt, data = mtcars)
print(summary(modele.bis))
#rsidus partiels
par(mfrow=c(2,2))
for (i in 1:4){prplot(modele.bis,i)}
#retirer la variable wt
modele.ter <- lm(mpg ~ hp + zhp + zwt, data = mtcars)
print(summary(modele.ter))
#rsidus partiels
par(mfrow=c(1,3))
for (i in 1:3){prplot(modele.ter,i)}

